Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-science
Navigation:
Lists: gentoo-science: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-science@g.o
From: Jan Marten Simons <marten@...>
Subject: fltk DEPEND problem in drawxtl ebuilds
Date: Tue, 05 Apr 2011 16:13:58 +0200
from drawxtl-44.ebuild:

DEPEND="opengl? (
[...]
                fltk? ( x11-libs/fltk:1.1[opengl?] )"


from drawxtl-54.ebuild:

DEPEND="virtual/opengl
[...]
        x11-libs/fltk:1.1[opengl]"


As one can see both depend on fltk slot 1.1. As there are only fltk slots "1" 
and "2" available in portage now the dependency resolusion fails.

This could either be fixed with reintroducing slots 1.1 and 1.3 to fltk or to 
test drawxtl with fltk 1.3 and depending on fltk slot 1 only.

With regards,

  Jan M. Simons


Replies:
Re: fltk DEPEND problem in drawxtl ebuilds
-- justin
Navigation:
Lists: gentoo-science: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
[sage-on-gentoo] sci-mathematics/ratpoints-2.1.3-r3 Manifest file is wrong
Next by thread:
Re: fltk DEPEND problem in drawxtl ebuilds
Previous by date:
[sage-on-gentoo] sci-mathematics/ratpoints-2.1.3-r3 Manifest file is wrong
Next by date:
Re: fltk DEPEND problem in drawxtl ebuilds


Updated Jun 15, 2012

Summary: Archive of the gentoo-science mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.